Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.util
Class ConvertUtils

    java.lang.Object
      org.pdfclown.util.ConvertUtils

    public final class ConvertUtils

extends Object

Data convertion utility.

### Remarks

This class is a specialized adaptation from the original Apache Commons Codec project, licensed under the Apache License, Version 2.0.

Since:
  0.0.8
Version:
  0.1.1, 11/01/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`ConvertUtils()`

Method Summary
`static String` | `byteArrayToHex(byte[] data)`
`static int` | `byteArrayToInt(byte[] data)`
`static int` | `byteArrayToInt(byte[] data, int index, ByteOrder byteOrder)`
`static int` | `byteArrayToNumber(byte[] data, int index, int length, ByteOrder byteOrder)`
`static byte[]` | `hexToByteArray(String data)`
`static byte[]` | `intToByteArray(int data)`
`static byte[]` | `numberToByteArray(int data, int length, ByteOrder byteOrder)`
`static float[]` | `toFloatArray(double[] array)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertUtils

    public ConvertUtils()

Method Detail

### byteArrayToHex

    public static String byteArrayToHex(byte[] data)

### byteArrayToInt

    public static int byteArrayToInt(byte[] data)

### byteArrayToInt

    public static int byteArrayToInt(byte[] data,
                                     int index,
                                     ByteOrder byteOrder)
                              throws ArrayIndexOutOfBoundsException

  Throws:
    `ArrayIndexOutOfBoundsException`

### byteArrayToNumber

    public static int byteArrayToNumber(byte[] data,
                                        int index,
                                        int length,
                                        ByteOrder byteOrder)
                                 throws ArrayIndexOutOfBoundsException

  Throws:
    `ArrayIndexOutOfBoundsException`

### hexToByteArray

    public static byte[] hexToByteArray(String data)

### intToByteArray

    public static byte[] intToByteArray(int data)

### numberToByteArray

    public static byte[] numberToByteArray(int data,
                                           int length,
                                           ByteOrder byteOrder)

### toFloatArray

    public static float[] toFloatArray(double[] array)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.